#!/bin/bash
set -e

pkg=sumaclust

export LC_ALL=C.UTF-8
if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
  # Double quote below to expand the temporary directory variable now versus
  # later is on purpose.
  # shellcheck disable=SC2064
  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
fi

cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"

cd "${AUTOPKGTEST_TMP}"

sh clusterIdenticalInputs
if [ $? -eq 0 ]; then
  echo "Test clusterIdenticalInputs PASSED"
else
  echo "Test clusterIdenticalInputs FAILED"
fi

sh clusterThreeInputs
if [ $? -eq 0 ]; then
  echo "Test clusterThreeInputs PASSED"
else
  echo "Test clusterThreeInputs FAILED"
fi

sh clusterTwoInputsTwoSuccessiveCalls
if [ $? -eq 0 ]; then
  echo "Test clusterTwoInputsTwoSuccessiveCalls PASSED"
else
  echo "Test clusterTwoInputsTwoSuccessiveCalls FAILED"
fi

sh clusterTwoInputsTwoThresholds
if [ $? -eq 0 ]; then
  echo "Test clusterTwoInputsTwoThresholds PASSED"
else
  echo "Test clusterTwoInputsTwoThresholds FAILED"
fi

